# Configuration

```
Config = {}

-- [[ General Settings ]]
Config.Volume = 0.2 -- Volume of the background audio (0.0 to 1.0)
Config.Distance = 6.0 

-- [[ Sound Toggle ]]
-- Set the default state for the sound being enabled (true/false).
-- The command /toggleraudio will toggle this during gameplay.
Config.DefaultSoundEnabled = true 

-- [[ Timing Settings ]]
-- The time in seconds between random radio audio
Config.MinDelay = 15 
Config.MaxDelay = 45

-- [[ Framework Settings ]]
-- Options: 'ESX', 'QBCore', 'Standalone'
-- !!! IMPORTANT: Set this correctly based on your server framework !!!
Config.Framework = 'QBCore' 

-- [[ Job Settings ]]
-- Only used if Framework is set to ESX or QBCore
Config.AllowedJobs = {
    ['police'] = true,
    ['sheriff'] = true
}

-- [[ Vehicle Settings ]]
-- Class 18 is Emergency (Police, Fire, Ambulance)
-- You can add other classes if needed, e.g., 13 (Commercial/Utility)
Config.AllowedVehicleClasses = {
    [18] = true 
}

-- [[ Sound Files ]]
-- A list of files in 'html/sounds/' to play randomly
-- !!! IMPORTANT: Ensure these files exist in m_radio_audio/html/sounds/ !!!
Config.RadioFiles = {
    'audio_1.mp3',
    'audio_2.mp3',
    'audio_3.mp3'
}

-- [[ Debug ]]
-- !!! IMPORTANT: Set to true to see helpful messages in your console !!!
-- This is really only used for debugging, shouldn't be enabled in a live environment --
Config.Debug = false
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mdevelopment.xyz/m-development-docs/documentation/md-radio-audio/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
